// src/components/Board/BoardNavLinks.js
import React, { useEffect, useState } from "react";
import { Link } from "react-router-dom";
import boardApi from "../../api/boardApi";

const BoardNavLinks = () => {
  const [boards, setBoards] = useState([]);

  useEffect(() => {
    const fetchBoards = async () => {
      try {
        const res = await boardApi.get("/api/boards/");
        setBoards(res.data);
      } catch (err) {
        console.error("❌ 게시판 목록 불러오기 실패", err);
      }
    };

    fetchBoards();
  }, []);

  return (
    <>
      {boards.map((board) => (
        <Link
          key={board.slug}
          to={`/api/boards/${board.slug}`}
          className="text-gray-600 hover:text-[#D4AF37]"
        >
          {board.name}
        </Link>
      ))}
    </>
  );
};

export default BoardNavLinks;
