// src/pages/BoardsPage.js
import React, { useState } from "react";
import BoardList from "../components/Board/BoardList";
import PostList from "../components/Board/PostList";
import PostSearchPanel from "../components/Board/PostSearchPanel";

const BoardsPage = () => {
  const [selectedBoard, setSelectedBoard] = useState(null);
  const [searchQuery, setSearchQuery] = useState("");
  const [selectedTag, setSelectedTag] = useState("");

  return (
    <div className="grid grid-cols-12 gap-4 p-4">
      {/* 좌측: 게시판 리스트 */}
      <div className="col-span-2 bg-white p-4 shadow rounded">
        <BoardList
          onSelectBoard={setSelectedBoard}
          selectedBoard={selectedBoard}
        />
      </div>

      {/* 중앙: 게시글 리스트 */}
      <div className="col-span-7 bg-white p-4 shadow rounded">
        <PostList
          boardSlug={selectedBoard}
          search={searchQuery}
          tag={selectedTag}
        />
      </div>

      {/* 우측: 검색 + 태그 */}
      <div className="col-span-3 bg-white p-4 shadow rounded">
        <PostSearchPanel
          boardSlug={selectedBoard}
          onSearch={setSearchQuery}
          onTagSelect={setSelectedTag}
        />
      </div>
    </div>
  );
};

export default BoardsPage;